package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.eas.custom.dormitorysystem.application.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class CheckInApplicationEntry extends HRBillBaseEntry implements ICheckInApplicationEntry
{
    public CheckInApplicationEntry()
    {
        super();
        registerInterface(ICheckInApplicationEntry.class, this);
    }
    public CheckInApplicationEntry(Context ctx)
    {
        super(ctx);
        registerInterface(ICheckInApplicationEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("D6514C12");
    }
    private CheckInApplicationEntryController getController() throws BOSException
    {
        return (CheckInApplicationEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public CheckInApplicationEntryInfo getCheckInApplicationEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getCheckInApplicationEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public CheckInApplicationEntryInfo getCheckInApplicationEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getCheckInApplicationEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public CheckInApplicationEntryInfo getCheckInApplicationEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getCheckInApplicationEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public CheckInApplicationEntryCollection getCheckInApplicationEntryCollection() throws BOSException
    {
        try {
            return getController().getCheckInApplicationEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public CheckInApplicationEntryCollection getCheckInApplicationEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getCheckInApplicationEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public CheckInApplicationEntryCollection getCheckInApplicationEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getCheckInApplicationEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}